# Class FunctorUpcase
Functor that returns the upper case character for a given character.

Defined in | <seqan/modifier.h>
Signature | `template <typename TInType[, typename TResult]> struct FunctorUpcase;`

## Template Parameters

`TInType` | The parameter/input type.
`TResult` | The return/result type, defaults to TInType.

## Member Function Overview

- `TResult FunctorUpcase::operator()(in);`
  Function call operator.

## Member Functions Detail

### `TResult FunctorUpcase::operator()(in);`

Function call operator.

#### Parameters

`in` | The value to convert (`in`).

#### Returns

`TResult` | The converted value (`TResult`).

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @class FunctorUpcase
     *
     * @headerfile <seqan/modifier.h>
     *
     * @brief Functor that returns the upper case character for a given character.
     *
     * @signature template <typename TInType[, typename TResult]> struct
     *            FunctorUpcase;
     *
     * @tparam TInType The parameter/input type.
     * @tparam TResult The return/result type, defaults to TInType.
     *
     * @fn FunctorUpcase::operator()
     *
     * @brief Function call operator.
     *
     * @signature TResult FunctorUpcase::operator()(in);
     *
     * @param[in] in The value to convert (<tt>in</tt>).
     *
     * @return TResult The converted value (<tt>TResult</tt>).
     */